Skip to main content

Orders

Description​

When placing an order, canceling an order, or executing an order, the following information will be pushed.

Pushing Frequency​

Real Time

Channel​

orders

Request Parameters​

ParameterRequiredTypeDescription
eventYesStringOperation: subscribe, unsubscribe
channelYesArrayorders
symbolsYesArraytrading pair array

Request Response​

ParameterTypeDescription
eventStringOperation: subscribe, unsubscribe
channelStringorders
symbolsArraytrading pair array
messageStringError message

Push Data​

ParameterTypeDescription
channelStringorders
dataArrayThe subscribed data
> symbolStringA trading pair
> sideStringEnumerate: BUY, SELL
> typeStringEnumerate: MARKET, LIMIT, LIMIT_MAKER
> mgnModeStringEnumerate: ISOLATED, CROSS
> timeInForceStringEnumerate: FOK, IOC, GTC
> clOrdIdStringClient order ID
> szStringAmount or Conts of the order
> pxStringPrice, applicable for limit orders only.
> reduceOnlyBooleanOnly applicable to futures; serves solely as a reduction indicator.
> posSideStringOnly applicable to futures. Enumerate BOTH, LONG, and SHORT; with BOTH by default under the hedge mode.
> ordIdStringOrder ID
> stateStringOrder status. Enumerate:
  • NEW
  • PARTIALLY_FILLED
  • FILLED
  • PARTIALLY_CANCELED
  • CANCELED
> cancelReasonStringEnumerate:
  • USER_CANCEL_ORDER_ACTION
  • LIMIT_MAKER_ORDER_INCORRECT_PRICE_CONDITION
  • LIMIT_MATCH_IOC_OR_FOK_ORDER_PRICE_CANNOT_MATCH
  • LIMIT_MATCH_FOK_ORDER_MAKER_INSUFFICIENT_AVAILABLE_QUANTITY
  • LIMIT_MATCH_IOC_ORDER_CANNOT_FILLED
  • LIMIT_MATCH_ORDER_TAKER_SELF_TRADE
  • MARKET_ORDER_NO_OTHER_SIDE_ORDER
  • INVALID_PARAM_WHEN_PLACE_ORDER
  • INVALID_ORDER_TYPE_WHEN_PLACE_ORDER
  • INVALID_SEQUENCE_PLACE_ORDER_AFTER_CANCEL_SAME_ORDER
  • MATCH_SYMBOL_TRADE_LIMIT_NOT_EXIST
  • EXCEED_SLIPPAGE_TOLERANCE
  • OUT_OF_RANGE_LIMIT_PRICE
  • NO_MARGIN_QUANTITY_GREAT_THAN_POSITION
  • LIMIT_MATCH_ORDER_ONLY_SELF_TRADE
  • FL_CANCEL_ORDER_ACTION
  • RISK_CANCEL_ORDER_ACTION
  • SYS_CANCEL_ORDER_ACTION
> sourceStringOrder source
> avgPxStringAverage execution price
> execQtyStringCumulative execution amount
> execAmtStringCumulative execution value
> feeCcyStringName of the currency used for trading fees
> feeAmtStringCumulative amount of trading fee
> deductCcyStringName of the currency used to deduct trading fees
> deductAmtStringCumulative amount of trading fee deducted
> fillSzStringAmount or Conts of the last filled
> cTimeLongOrder creation time with a UTC timestamp (millisecond)
> uTimeLongOrder update time with a UTC timestamp (millisecond)
> tsLongPush time (millisecond)

Request Example​

{
"event": "subscribe",
"channel": ["orders"],
"symbols": ["BTC_USDT_PERP"]
}

Push Data Example​

{
"channel": "orders",
"data": [
{
"symbol": "BTC_USDT_PERP",
"side": "BUY",
"type": "LIMIT",
"mgnMode": "CROSS",
"timeInForce": "GTC",
"clOrdId": "polo353849510130364416",
"sz": "1",
"px": "64999",
"reduceOnly": false,
"posSide": "BOTH",
"ordId": "353849510130364416",
"state": "NEW",
"source": "WEB",
"avgPx": "0",
"execQty": "0",
"execAmt": "0",
"feeCcy": "",
"feeAmt": "0",
"deductCcy": "",
"deductAmt": "0",
"fillSz": "2",
"cTime": 1725330697421,
"uTime": 1725330697421,
"ts": 1725330697451
}
]
}